classification
Title: Merge super() guide into documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.5
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: Russkel, cvrebert, docs@python, jdemeyer, rhettinger
Priority: low Keywords:

Created on 2013-07-04 01:26 by Russkel, last changed 2019-06-07 23:09 by rhettinger. This issue is now closed.

Messages (5)
msg192262 - (view) Author: Russ Webber (Russkel) Date: 2013-07-04 01:26
When looking for documentation on the correct usage on super (http://docs.python.org/2/library/functions.html?highlight=super#super), the documentation links to this rather will written blog post http://rhettinger.wordpress.com/2011/05/26/super-considered-super/ by Mr. Hettinger.

I think there is value in merging that blog post into a HOWTO and including in the official documentation.

I'm more than willing to create a patch if this is considered a good idea.
msg223271 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-16 20:42
@Raymond what is your opinion on this proposal?
msg223310 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-07-17 02:56
I'll translate it into a How-to guide when I get a chance.  Right now, the content is in great shape, but the tone is somewhat "blog-posty".  For now, the external link will have to suffice.
msg344829 - (view) Author: Jeroen Demeyer (jdemeyer) * (Python triager) Date: 2019-06-06 16:08
I opened another doc issue about super(): #37176
msg345013 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-06-07 23:09
I think for now I'll leave this as an external supplement to the documentation.  My previous experience with moving a personal blog post into the main docs didn't go so well.
History
Date User Action Args
2019-06-07 23:09:40rhettingersetstatus: open -> closed
resolution: rejected
messages: + msg345013

stage: resolved
2019-06-06 16:08:19jdemeyersetnosy: + jdemeyer
messages: + msg344829
2019-04-26 20:06:57BreamoreBoysetnosy: - BreamoreBoy
2014-07-23 08:41:47cvrebertsetnosy: + cvrebert
2014-07-17 02:56:20rhettingersetassignee: docs@python -> rhettinger
2014-07-17 02:56:08rhettingersetpriority: normal -> low

messages: + msg223310
2014-07-16 20:42:47BreamoreBoysetversions: + Python 3.5
nosy: + BreamoreBoy

messages: + msg223271

type: enhancement
2013-07-04 01:26:40Russkelcreate